[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.AnchorAsAlign

Anchor to the Parent using the Align value for the control.

## Declaration

Source position: controls.pp line 1655

`public procedure TControl.AnchorAsAlign(`
`TheAlign: TAlign;`
`Space: TSpacingSize`
`);`

## Arguments

`TheAlign` |  | Indicates the position in AnchorAlign with the anchored edges for the alignment value.
`Space` |  | Border spacing between the control and its anchored edges.

## Description

The anchor control used in the TAnchorSide instances is always the Parent control.